Summary: A PostScript(TM) interpreter and renderer.
Name: ghostscript
%define version	5.10
Version: %{version}
Release: 10
License: GPL
Group: Applications/Publishing
Source0: ftp://prep.ai.mit.edu:/pub/gnu/ghostscript-%{version}.tar.gz
Source1: ftp://prep.ai.mit.edu:/pub/gnu/ghostscript-%{version}jpeg.tar.gz
Source2: http://www.erdw.ethz.ch/~bonk/ftp/gs-driver-distrib/hp8xxs13.zip
%define hpdjver 2.5
Source3: ftp://ftp.pdb.sni.de/pub/utilities/misc/hpdj-%{hpdjver}.tar.gz
Patch0: ghostscript-5.10-config.patch
Patch1: gs5.10-rth.patch
Patch2: gs5.10-oki.patch
Patch3: gs5.10-hp8xx.patch
Patch4: gs5.10-hpdj.patch
Requires: urw-fonts >= 1.1, ghostscript-fonts
BuildRoot: /var/tmp/ghostscript-root

%description
Ghostscript is a set of software that provides a PostScript(TM)
interpreter, a set of C procedures (the Ghostscript library, which
implements the graphics capabilities in the PostScript language) and
an interpreter for Portable Document Format (PDF) files.  Ghostscript
translates PostScript code into many common, bitmapped formats, like
those understood by your printer or screen.  Ghostscript is normally
used to display PostScript files and to print PostScript files to
non-PostScript printers.

If you need to display PostScript files or print them to
non-PostScript printers, you should install ghostscript.  If you
install ghostscript, you also need to install the ghostscript-fonts
package.

%prep
%setup -q -n gs%{version}
%setup -q -T -D -a 1 -n gs%{version}
# When configuring or adding new print drivers, make sure to edit the
# component files (unixhead.mak, devs.mak, unix-end.mak) rather than
# the final makefile (unix-gcc.mak).  The ./tar-cat operation at the
# end pieces them all together, and the .dev files will be automatically
# constructed only if the .dev modifications end up in unix-gcc.mak.

%patch0 -p1 -b .config
%patch1 -p1 -b .rth
# Patch to add support for OkiPage 4w+ LED printer
%patch2 -p1 -b .oki
# Add support for HP 8xx printers
%patch3 -p1 -b .hp8xx
mkdir tmp
cd tmp
unzip -a -L %{SOURCE2}
rm devs.mak *.dev
mv *.c *.h ..
rm -f *
# Add support for some other HP printers
tar xzfO %{SOURCE3} hpdj-%{hpdjver}/hpdj.tar | tar xf -
mv *.c *.h *.1 ..
cd ..
patch -p0 -z .hpdjauto < tmp/devs.mak-5.10.diff
patch -p0 -z .hpdjauto < tmp/zmedia2.c-5.10.diff
%patch4 -p1 -b .hpdj
rm -rf tmp
# Finally, put all the pieces together
./tar_cat
ln -s unix-gcc.mak Makefile

%build
%ifarch alpha
make RPM_OPT_FLAGS="" prefix=/usr
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=/usr
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,doc}
make install prefix=$RPM_BUILD_ROOT/usr
ln -sf gs.1 $RPM_BUILD_ROOT/usr/man/man1/ghostscript.1
ln -sf gs $RPM_BUILD_ROOT/usr/bin/ghostscript
strip $RPM_BUILD_ROOT/usr/bin/gs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/doc/ghostscript-%{PACKAGE_VERSION}
/usr/bin/*
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{PACKAGE_VERSION}
/usr/share/ghostscript/%{PACKAGE_VERSION}/*ps
/usr/share/ghostscript/%{PACKAGE_VERSION}/*upp
%config /usr/share/ghostscript/%{version}/Fontmap
/usr/share/ghostscript/%{PACKAGE_VERSION}/examples
/usr/man/*/*

%changelog
* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- don't optimize on Alpha. This way it works.

* Thu Jul 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- added hpdj driver
- changed build to use tar_cat so adding new drivers is sane

* Thu Jul  1 1999 Bill Nottingham <notting@redhat.com>
- add OkiPage 4w+, HP 8xx drivers

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- fix typo in config patch.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Mar 15 1999 Cristian Gafton <gafton@redhat.com>
- added patch from rth to fix alignement problems on the alpha.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Bill Nottingham <notting@redhat.com>
- add uniprint .upp files

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fontpath update.

* Wed Dec 23 1998 Preston Brown <pbrown@redhat.com>
- updates for ghostscript 5.10

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- updated to use shared urw-fonts package.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- turned on truetype (ttf) font support.

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.03.

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- enabled more printer drivers
- buildroot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Made /usr/share/ghostscript/3.33/Fontmap a config file.
